Package ghidra.framework.plugintool

# Class ComponentProviderAdapter

java.lang.Object
docking.ComponentProvider
ghidra.framework.plugintool.ComponentProviderAdapter

All Implemented Interfaces:
  `ActionContextProvider`, `HelpDescriptor`

Direct Known Subclasses:
  `DbViewerProvider`, `DomainEventComponentProvider`, `DomainFolderChangesDisplayComponentProvider`, `EventDisplayComponentProvider`, `ListingComparisonProvider`, `ListingMergePanelProvider`, `NavigatableComponentProviderAdapter`, `PropertyManagerProvider`

public abstract class ComponentProviderAdapter extends ComponentProvider
Extends the `ComponentProvider` to fit into the Plugin architecture by taking in a `PluginTool` which extends `Tool`. Most implementers will want to extend this class instead of the ComponentProvider class because they will want to access the extra methods provided by PluginTool over DockingTool without having to cast the dockingTool variable.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected PluginTool`
  `tool`

  ### Fields inherited from class docking.ComponentProvider

  `DEFAULT_WINDOW_GROUP, dockingTool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentProviderAdapter(PluginTool tool, String name, String owner)`
  Creates a new component provider with a default location of `WindowPosition.WINDOW`.
  `ComponentProviderAdapter(PluginTool tool, String name, String owner, Class<?> contextType)`
  Creates a new component provider with a default location of `WindowPosition.WINDOW`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PluginTool`
  `getTool()`

  ### Methods inherited from class docking.ComponentProvider

  `addLocalAction, addToTool, addToToolbar, adjustFontSize, canBeParent, closeComponent, componentActivated, componentDeactived, componentHidden, componentShown, contextChanged, createContext, createContext, createContext, getActionContext, getComponent, getContextType, getDefaultWindowPosition, getHelpInfo, getHelpLocation, getHelpObject, getIcon, getInstanceID, getIntraGroupPosition, getMappedName, getMappedOwner, getName, getOwner, getSubTitle, getTabText, getTitle, getWindowGroup, getWindowSubMenuName, initializeInstanceID, isActive, isFocusedProvider, isInTool, isSnapshot, isTransient, isVisible, registerAdjustableFontId, registerProviderNameOwnerChange, removeAllLocalActions, removeFromTool, removeLocalAction, requestFocus, resetFontSize, setDefaultWindowPosition, setHelpLocation, setIcon, setIntraGroupPosition, setKeyBinding, setSubTitle, setTabText, setTitle, setTransient, setVisible, setWindowGroup, setWindowMenuGroup, toFront, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### tool

    protected PluginTool tool

- ## Constructor Details

  - ### ComponentProviderAdapter

    public ComponentProviderAdapter(PluginTool tool, String name, String owner)
    Creates a new component provider with a default location of `WindowPosition.WINDOW`.
    Parameters:
      `tool` - the plugin tool.
      `name` - The providers name. This is used to group similar providers into a tab within the same window.
      `owner` - The owner of this provider, usually a plugin name.

  - ### ComponentProviderAdapter

    public ComponentProviderAdapter(PluginTool tool, String name, String owner, Class<?> contextType)
    Creates a new component provider with a default location of `WindowPosition.WINDOW`.
    Parameters:
      `tool` - the plugin tool.
      `name` - The providers name. This is used to group similar providers into a tab within the same window.
      `owner` - The owner of this provider, usually a plugin name
      `contextType` - the type of context supported by this provider; may be null

- ## Method Details

  - ### getTool

    public PluginTool getTool()
    Overrides:
      `getTool` in class `ComponentProvider`